﻿//-----------------------------------------------------------------------
// <copyright file="HmiSettingControl.cs" company="emotive GmbH & Co. KG">
//     Copyright (c) emotive GmbH & Co. KG. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Emotive.Otx.Runtime.Api.Sample.Setting
{
    /// <summary>
    /// Displays the HMI setting.
    /// </summary>
    public partial class HmiSettingControl : ProjectOptionsPage
    {
        #region Fields
        private static string UsingGenericScreen = "None";
        #endregion

        #region Contructs
        /// <summary>
        /// Initializes a new instance of the HmiSettingControl class.
        /// </summary>
        /// <param name="projectSetting">The project setting.</param>
        public HmiSettingControl(ProjectSetting.ProjectSettings projectSetting)
            : base(projectSetting)
        {
            InitializeComponent();
            this.LoadMappingFiles();
        }
        #endregion

        #region Properties
        #endregion

        #region Methods
        /// <summary>
        /// Saves the references of the project into the project configuration file.
        /// </summary>
        /// 
        public override void SaveOptions()
        {
            if (this.comboMappingFile.SelectedItem != null)
            {
                if (this.comboMappingFile.SelectedItem.ToString() == UsingGenericScreen)
                {
                    this.ProjectSetting.HmiSettings.ScreenMapping = string.Empty;
                }
                else
                {
                    this.ProjectSetting.HmiSettings.ScreenMapping = this.comboMappingFile.SelectedItem.ToString();
                }
            }

        }

        private void LoadMappingFiles()
        {
            System.Collections.Generic.List<string> fileNameList = new System.Collections.Generic.List<string>();
            fileNameList.Add(UsingGenericScreen);
            fileNameList.AddRange(this.ProjectSetting.HmiSettings.ScreenMappings);
            comboMappingFile.DataSource = fileNameList;
            if (!string.IsNullOrEmpty(this.ProjectSetting.HmiSettings.ScreenMapping))
            {
                this.comboMappingFile.SelectedItem = this.ProjectSetting.HmiSettings.ScreenMapping;
            }
            else
            {
                this.comboMappingFile.SelectedIndex = 0;
            }
        }

        #endregion
    }
}