﻿//-----------------------------------------------------------------------
// <copyright file="ProjectOptionsPage.cs" company="emotive GmbH & Co. KG">
//     Copyright (c) emotive GmbH & Co. KG. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Windows.Forms;

namespace Emotive.Otx.Runtime.Api.Sample.Setting
{
    /// <summary>
    /// Comment for the class
    /// </summary>
    public class ProjectOptionsPage : UserControl
    {
        #region Fields
        private ProjectSetting.ProjectSettings projectSetting;

        private System.Windows.Forms.Button labelItemGeneralHeader;
        private System.Windows.Forms.Label labelItemLanguageSettings;
        #endregion

        #region ctors
        public ProjectOptionsPage(ProjectSetting.ProjectSettings projectSetting)
        {
            this.projectSetting = projectSetting;
        }

        public ProjectOptionsPage()
        {
        }

        #endregion

        #region Properties
        protected ProjectSetting.ProjectSettings ProjectSetting
        {
            get { return this.projectSetting; }
        }
        #endregion

        #region Methods
        private void InitializeComponent()
        {
            this.labelItemGeneralHeader = new System.Windows.Forms.Button();
            this.labelItemLanguageSettings = new System.Windows.Forms.Label();
            this.SuspendLayout();
            // 
            // labelItemGeneralHeader
            // 
            this.labelItemGeneralHeader.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.labelItemGeneralHeader.FlatAppearance.BorderSize = 0;
            this.labelItemGeneralHeader.FlatAppearance.MouseDownBackColor = System.Drawing.Color.Transparent;
            this.labelItemGeneralHeader.FlatAppearance.MouseOverBackColor = System.Drawing.Color.Transparent;
            this.labelItemGeneralHeader.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.labelItemGeneralHeader.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.labelItemGeneralHeader.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.labelItemGeneralHeader.Location = new System.Drawing.Point(3, 0);
            this.labelItemGeneralHeader.Name = "labelItemGeneralHeader";
            this.labelItemGeneralHeader.Size = new System.Drawing.Size(514, 50);
            this.labelItemGeneralHeader.TabIndex = 0;
            this.labelItemGeneralHeader.Text = "OptionPage Settings";
            this.labelItemGeneralHeader.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.labelItemGeneralHeader.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
            // 
            // labelItemLanguageSettings
            // 
            this.labelItemLanguageSettings.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.labelItemLanguageSettings.BackColor = System.Drawing.SystemColors.ButtonFace;
            this.labelItemLanguageSettings.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.labelItemLanguageSettings.Location = new System.Drawing.Point(3, 53);
            this.labelItemLanguageSettings.Name = "labelItemLanguageSettings";
            this.labelItemLanguageSettings.Size = new System.Drawing.Size(514, 23);
            this.labelItemLanguageSettings.TabIndex = 1;
            this.labelItemLanguageSettings.Text = "Details";
            this.labelItemLanguageSettings.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // ProjectOptionsPage
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackColor = System.Drawing.Color.Transparent;
            this.Controls.Add(this.labelItemGeneralHeader);
            this.Controls.Add(this.labelItemLanguageSettings);
            this.Name = "ProjectOptionsPage";
            this.Size = new System.Drawing.Size(520, 300);
            this.ResumeLayout(false);

        }


        public virtual void SaveOptions()
        {
        }

        public virtual void DeleteOption()
        {
        }

        public virtual void RollBack()
        {
        }

        #endregion
    }
}
