﻿//-----------------------------------------------------------------------
// <copyright file="RuntimeEnviromentOptions.cs" company="emotive GmbH & Co. KG">
//     Copyright (c) emotive GmbH & Co. KG. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using Emotive.Otx.Runtime.Api.Otx;

namespace Emotive.Otx.Runtime.Api.Sample.Setting
{
    /// <summary>
    /// Displays the pdx references.
    /// </summary>
    public partial class RuntimeEnviromentOptions : ProjectOptionsPage
    {
        #region Fields
        RuntimeManager rtManager;
        #endregion

        #region Contructs
        /// <summary>
        /// Initializes a new instance of the PdxReferenceControl class.
        /// </summary>
        /// <param name="projectSetting">The project config file.</param>
        public RuntimeEnviromentOptions(ProjectSetting.ProjectSettings projectSetting, RuntimeManager rtManager)
            : base(projectSetting)
        {
            InitializeComponent();
            this.rtManager = rtManager;
        }

        #endregion

        #region Properties
        #endregion

        #region Methods
        /// <summary>
        /// Saves the references of the project into the project configuration file.
        /// </summary>
        /// 
        public override void SaveOptions()
        {
            if (this.listBox.SelectedItem != null)
            {
                //this.ProjectSetting.RuntimeSettings.StartupDocument = this.listBox.SelectedItem.ToString();
            }
        }

        private void RuntimeEnviromentControl_Load(object sender, System.EventArgs e)
        {
            if (this.rtManager.Packages != null)
            {
                foreach (Package pack in this.rtManager.Packages)
                {
                    AddItemToListBox(pack);
                }
            }
        }

        private void AddItemToListBox(Package package)
        {
            if (package.Documents != null)
            {
                foreach (Document doc in package.Documents)
                {
                    foreach (Procedure procedure in doc.Procedures)
                    {
                        if (procedure.Name == "main")
                        {
                            string startup = doc.OtxPackage + "." + doc.OtxName;
                            this.listBox.Items.Add(startup);
                            if (startup.Equals(this.ProjectSetting.RuntimeSettings.StartupDocument))
                            {
                                this.listBox.SelectedItem = startup;
                            }
                        }
                    }
                }
            }

            if (package.Packages != null)
            {
                foreach (Package pack in package.Packages)
                {
                    AddItemToListBox(pack);
                }
            }
        }

        #endregion
    }
}